Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 923574 - Review Request: ghc-cipher-aes - Fast AES cipher implementation with advanced mode of operations
Summary: Review Request: ghc-cipher-aes - Fast AES cipher implementation with advanced...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: ghc-securemem 1065678
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-03-20 05:55 UTC by Michel Alexandre Salim
Modified: 2016-04-23 16:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-11 16:19:03 UTC


Attachments (Terms of Use)

Description Michel Alexandre Salim 2013-03-20 05:55:15 UTC
Spec URL: http://salimma.fedorapeople.org/specs/yesod/ghc-cipher-aes.spec
SRPM URL: http://salimma.fedorapeople.org/specs/yesod/ghc-cipher-aes-0.1.7-1.fc18.src.rpm
Description:
Fast AES cipher implementation with advanced mode of operations.

The modes of operations available are ECB (Electronic code book), CBC (Cipher block chaining), CTR (Counter), XTS (XEX with ciphertext stealing), GCM (Galois Counter Mode).

The AES implementation uses AES-NI when available (on x86 and x86-64 architecture), but fallback gracefully to a software C implementation.

The software implementation uses S-Boxes, which might suffer for cache timing issues. However do notes that most other known software implementations, including very popular one (openssl, gnutls) also uses same implementation. If it matters for your case, you should make sure you have AES-NI available, or you'll need to use a different implementation.

Fedora Account System Username: salimma

Comment 1 Jens Petersen 2013-06-24 10:30:34 UTC
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!

Comment 2 Sébastien Willmann 2014-03-16 13:55:17 UTC
ghc-crypto-cipher-types is available now.

Comment 3 Jens Petersen 2015-01-09 03:18:34 UTC
Latest version is 0.2.9.

Comment 4 James Hogarth 2015-12-04 01:55:07 UTC
Michel are you intending to do anything with this?

It has been a long time since any comments.

As per policy if there is no response within a week this will be closed so that other interested parties may open a fresh review.

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Comment 5 James Hogarth 2015-12-11 16:19:03 UTC
It's been over a week with no response from the requestor to the NeedsInfo flag.

Closing as per policy.

Comment 6 Ben Boeckel 2016-04-23 16:58:34 UTC
Removing alias; will file a new RR.

Comment 7 Ben Boeckel 2016-04-23 16:59:47 UTC
Whoops.


Note You need to log in before you can comment on or make changes to this bug.